Skip to content

Resume the current owner's latest login-email change

GET/v1/access/email-change/current

Authorization

humanSession
__Secure-better-auth.session_token<token>

Native Better Auth session cookie, managed by the browser. Loopback HTTP uses the unprefixed cookie name.

In: cookie

Response Body

application/json

curl -X GET "https://example.com/v1/access/email-change/current"
{
  "operation": {
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
    "state": "awaiting_current",
    "generation": 1,
    "createdAt": "2019-08-24T14:15:22Z",
    "expiresAt": "2019-08-24T14:15:22Z",
    "receiptExpiresAt": "2019-08-24T14:15:22Z",
    "finishedAt": "2019-08-24T14:15:22Z",
    "confirmation": "pending",
    "newEmail": "user@example.com",
    "receiptProof": "stringstringstringstringstringstringstrings"
  }
}